<div class="SearchForm">
  <div class="form">
    <div class="form-row">
      <div class="form-group">
        <v-select
          :searchable="false"
          :clearable="false"
          class="form-select"
          :options="['Москва', 'Санкт-Петербург']"
          v-model="formData.city"
        >
          <template #open-indicator="attributesForSelect">
            <span v-bind="attributesForSelect">
              <img src="@/assets/arrow.svg" />
            </span>
          </template>
        </v-select>
        <v-select
          :searchable="false"
          :clearable="false"
          class="form-select"
          :options="['Купить', 'Снять']"
          v-model="formData.action"
        >
          <template #open-indicator="attributesForSelect">
            <span v-bind="attributesForSelect">
              <img src="@/assets/arrow.svg" />
            </span>
          </template>
        </v-select>
        <v-select
          :searchable="false"
          :clearable="false"
          class="form-select"
          :options="['Офис', 'Склад']"
          v-model="formData.type"
        >
          <template #open-indicator="attributesForSelect">
            <span v-bind="attributesForSelect">
              <img src="@/assets/arrow.svg" />
            </span>
          </template>
        </v-select>
      </div>
      <div class="button form-button" @click="searchResults">
        Найти
      </div>
    </div>
    <div class="form-row" v-if="$parent.price || $parent.space">
      <div class="form-group form-cash" v-if="$parent.price ">
        <input
          class="form-input"
          type="text"
          v-model="formData.minPrice"
          placeholder="От"
        />

        <input
          class="form-input"
          type="text"
          v-model="formData.maxPrice"
          placeholder="До"
        />
        <v-select
          :searchable="false"
          :clearable="false"
          class="form-select"
          :options="['₽/месяц', '$/месяц', '€/месяц']"
          v-model="formData.curency"
        >
          <template #open-indicator="attributesForSelect">
            <span v-bind="attributesForSelect">
              <img src="@/assets/arrow.svg" />
            </span>
          </template>
        </v-select>
      </div>
      <div class="form-group form-cash" v-else @click="$parent.price = true">
        <div class="form-button">
          <span>Добавить цену</span>
        </div>
      </div>
      <div class="form-group form-space" v-if="$parent.space">
        <input
          class="form-input"
          type="text"
          placeholder="От"
          v-model="formData.minSpace"
        />
        <input
          class="form-input"
          type="text"
          placeholder="До"
          v-model="formData.maxSpace"
        />
        <div class="label">
          <span> м<sup>2</sup> </span>
        </div>
      </div>
      <div class="form-group form-space" v-else @click="$parent.space = true">
        <div class="form-button ">
          <span>Добавить метраж</span>
        </div>
      </div>
    </div>
  </div>
</div>
